' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409 を参照してください
Imports System.Xml.Linq

Public Class ImageInfo
    Property 画像名 As String
    Property 説明 As String
End Class
''' <summary>
''' それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page
    Protected Overrides Sub OnNavigatedTo(e As NavigationEventArgs)
        Dim xmldoc As XElement = XElement.Load("photo_etc.xml")
        Dim myImageInfo As List(Of ImageInfo) = New List(Of ImageInfo)

        For Each result In From c In xmldoc.Descendants("情報") Select c
            myImageInfo.Add(New ImageInfo With {.画像名 = "ms-appx:///Image/" & result.Element("画像名").Value, .説明 = result.Element("説明")})
        Next


        FlipView1.ItemsSource = myImageInfo
        MyBase.OnNavigatedTo(e)
    End Sub
End Class
